apiVersion: apps/v1
kind: Deployment
metadata:
  name: labmap-frontend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: labmap-frontend
  template:
    metadata:
      labels:
        app: labmap-frontend
    spec:
      containers:
        - name: frontend
          image: {{ .Values.frontend.image }}:{{ .Values.frontend.tag }}
          ports:
            - containerPort: {{ .Values.frontend.port }}
          env:
            - name: API_BASE
              value: {{ .Values.frontend.env.API_BASE | quote }}
